/*
 * LCD-Wecker mit grafischem Display (240x128 Pixel) und Controller UC1611s, Scott-Falk Hhn, "strings.h"
 * Text-Definitionen
 */

#ifndef STRINGS_H_
#define STRINGS_H_

// Texte im Flash-Speicher, deutsche Umlaute knnen im Quelltext folgendermaen eingegeben werden:
//  = ALT-0128,  = ALT-0129,  = ALT-0130,  = ALT-0131,  = ALT-0132,  = ALT-0133,  = ALT-0134

const char strd01[] PROGMEM = "Montag";
const char strd02[] PROGMEM = "Dienstag";
const char strd03[] PROGMEM = "Mittwoch";
const char strd04[] PROGMEM = "Donnerstag";
const char strd05[] PROGMEM = "Freitag";
const char strd06[] PROGMEM = "Samstag";
const char strd07[] PROGMEM = "Sonntag";
const char strd08[] PROGMEM = "Januar";
const char strd09[] PROGMEM = "Februar";
const char strd10[] PROGMEM = "Mrz";
const char strd11[] PROGMEM = "April";
const char strd12[] PROGMEM = "Mai";
const char strd13[] PROGMEM = "Juni";
const char strd14[] PROGMEM = "Juli";
const char strd15[] PROGMEM = "August";
const char strd16[] PROGMEM = "September";
const char strd17[] PROGMEM = "Oktober";
const char strd18[] PROGMEM = "November";
const char strd19[] PROGMEM = "Dezember";
const char strd20[] PROGMEM = "Einstellung";
const char strd21[] PROGMEM = "Programm";
const char strd22[] PROGMEM = "Manuell";
const char strd23[] PROGMEM = "Feste Lautstrke";
const char strd24[] PROGMEM = "Ansteigende Lautstrke";
const char strd25[] PROGMEM = "Synchr. starten";
const char strd26[] PROGMEM = "OK";
const char strd27[] PROGMEM = "Zurck";
const char strd28[] PROGMEM = "Allgemeine Einstellungen";
const char strd29[] PROGMEM = "Anzeige-Einstellungen";
const char strd30[] PROGMEM = "DCF77-Einstellungen";
const char strd31[] PROGMEM = "Audio-Einstellungen";
const char strd32[] PROGMEM = "Touchscreen kalibrieren";
const char strd33[] PROGMEM = "System-Informationen";
const char strd34[] PROGMEM = "Datum und Uhrzeit";
const char strd35[] PROGMEM = "Weck-Programme";
const char strd36[] PROGMEM = "Minimale Helligkeit";
const char strd37[] PROGMEM = "Maximale Helligkeit";
const char strd38[] PROGMEM = "Kontrast";
const char strd39[] PROGMEM = "Weckdatum";
const char strd40[] PROGMEM = "Bitte alle Eckpunkte des Dis-";
const char strd41[] PROGMEM = "plays mit einem Stift berhren.";
const char strd42[] PROGMEM = "Feste Synchr.-Zeit";
const char strd43[] PROGMEM = "SZ-Autom.";
const char strd44[] PROGMEM = "Sprache/Language";
const char strd45[] PROGMEM = "Deutsch";
const char strd46[] PROGMEM = "Englisch";
const char strd47[] PROGMEM = "LED-Modus";
const char strd48[] PROGMEM = "Aus";
const char strd49[] PROGMEM = "Blinken bei Alarm";
const char strd50[] PROGMEM = "Empfangenes DCF77-Signal";
const char strd51[] PROGMEM = "DCF77-Signal";
const char strd52[] PROGMEM = "Normal";
const char strd53[] PROGMEM = "Invertiert";
const char strd54[] PROGMEM = "DCF77-Eingang";
const char strd55[] PROGMEM = "Pull-up aus";
const char strd56[] PROGMEM = "Pull-up ein";
const char strd57[] PROGMEM = "Aus";
const char strd58[] PROGMEM = "Ein";
const char strd59[] PROGMEM = "Weck-Ton";
const char strd60[] PROGMEM = "Buzzer (3 kurze Tne)";
const char strd61[] PROGMEM = "Buzzer (4 kurze Tne)";
const char strd62[] PROGMEM = "Buzzer (2 lange Tne)";
const char strd63[] PROGMEM = "Gong";
const char strd64[] PROGMEM = "Close Encounters";
const char strd65[] PROGMEM = "Westminster";
const char strd66[] PROGMEM = "Axel F.";
const char strd67[] PROGMEM = "Blue Peter";
const char strd68[] PROGMEM = "Around The World";
const char strd69[] PROGMEM = "Fr Elise";
const char strd70[] PROGMEM = "Lautstrke";
const char strd71[] PROGMEM = "Weck-Ton testen";
const char strd72[] PROGMEM = "LCD-Wecker: ";
const char strd73[] PROGMEM = "DCF77-Status: ";
const char strd74[] PROGMEM = "keine gltige Uhrzeit vorhanden";
const char strd75[] PROGMEM = "Zeit wurde manuell gestellt";
const char strd76[] PROGMEM = "Synchronisation erforderlich";
const char strd77[] PROGMEM = "Synchronisation ok";
const char strd78[] PROGMEM = "Stopp";
const char strd79[] PROGMEM = "Letzte Sync.: ";
const char strd80[] PROGMEM = "MEZ, ";
const char strd81[] PROGMEM = "MESZ, ";
const char strd82[] PROGMEM = "keine Daten";
const char strd83[] PROGMEM = "Touchscreen-Kalibrierdaten:";
const char strd84[] PROGMEM = "Links: ";
const char strd85[] PROGMEM = ", Rechts: ";
const char strd86[] PROGMEM = ", Oben: ";
const char strd87[] PROGMEM = ", Unten: ";
const char strd88[] PROGMEM = "Touchscreen X: ";
const char strd89[] PROGMEM = ", Y: ";
const char strd90[] PROGMEM = "Helligkeitssensor: ";
const char strd91[] PROGMEM = "Beleuchtung PWM-Wert: ";
const char strd92[] PROGMEM = "Tage";
const char strd93[] PROGMEM = ":";
const char strd94[] PROGMEM = "...2";
const char strd95[] PROGMEM = "Dieses Men steht erst zur Verfgung,";
const char strd96[] PROGMEM = "wenn eine gltige Uhrzeit eingestellt ist.";
const char strd97[] PROGMEM = "Weckzeit einstellen";
const char strd98[] PROGMEM = "Schlummerzeit (min)";
const char strd99[] PROGMEM = "Weckzeit lschen";
const char strd100[] PROGMEM = "Anzahl der Tage einstellen";
const char strd101[] PROGMEM = "Anzahl der Tage";
const char strd102[] PROGMEM = "Keine Funktion";
const char strd103[] PROGMEM = "Schlummern";
const char strd104[] PROGMEM = "Alarm aus";
const char strd105[] PROGMEM = "Weck-Ton aus";
const char strd106[] PROGMEM = "Weck-Ton ein";
const char strd107[] PROGMEM = "Heute";
const char strd108[] PROGMEM = "Morgen";
const char strd109[] PROGMEM = "Normal";
const char strd110[] PROGMEM = {'"', 'H', 'e', 'u', 't', 'e', '"', '\0' };
const char strd111[] PROGMEM = "Abbruch";
const char strd112[] PROGMEM = "Weckzeit und Programme";

// Texts in flash memory (english)

const char stre01[] PROGMEM = "Monday";
const char stre02[] PROGMEM = "Tuesday";
const char stre03[] PROGMEM = "Wednesday";
const char stre04[] PROGMEM = "Thursday";
const char stre05[] PROGMEM = "Friday";
const char stre06[] PROGMEM = "Saturday";
const char stre07[] PROGMEM = "Sunday";
const char stre08[] PROGMEM = "January";
const char stre09[] PROGMEM = "February";
const char stre10[] PROGMEM = "March";
const char stre11[] PROGMEM = "April";
const char stre12[] PROGMEM = "May";
const char stre13[] PROGMEM = "June";
const char stre14[] PROGMEM = "July";
const char stre15[] PROGMEM = "August";
const char stre16[] PROGMEM = "September";
const char stre17[] PROGMEM = "October";
const char stre18[] PROGMEM = "November";
const char stre19[] PROGMEM = "December";
const char stre20[] PROGMEM = "Setup";
const char stre21[] PROGMEM = "Program";
const char stre22[] PROGMEM = "Manual";
const char stre23[] PROGMEM = "Fixed volume";
const char stre24[] PROGMEM = "Increasing volume";
const char stre25[] PROGMEM = "Start synchr.";
const char stre26[] PROGMEM = "OK";
const char stre27[] PROGMEM = "Back";
const char stre28[] PROGMEM = "General settings";
const char stre29[] PROGMEM = "Display settings";
const char stre30[] PROGMEM = "DCF77 settings";
const char stre31[] PROGMEM = "Audio settings";
const char stre32[] PROGMEM = "Touchscreen calibration";
const char stre33[] PROGMEM = "System information";
const char stre34[] PROGMEM = "Set date and time";
const char stre35[] PROGMEM = "Alarm programs";
const char stre36[] PROGMEM = "Minimum Brightness";
const char stre37[] PROGMEM = "Maximum Brightness";
const char stre38[] PROGMEM = "Contrast";
const char stre39[] PROGMEM = "Alarm date";
const char stre40[] PROGMEM = "Please touch all corners";
const char stre41[] PROGMEM = "of the display with a pen.";
const char stre42[] PROGMEM = "Fixed synchr. time";
const char stre43[] PROGMEM = "ST autom.";
const char stre44[] PROGMEM = "Sprache/Language";
const char stre45[] PROGMEM = "German";
const char stre46[] PROGMEM = "English";
const char stre47[] PROGMEM = "LED Mode";
const char stre48[] PROGMEM = "Off";
const char stre49[] PROGMEM = "Flashing when alarm";
const char stre50[] PROGMEM = "Received DCF77 signal";
const char stre51[] PROGMEM = "DCF77 signal";
const char stre52[] PROGMEM = "Normal";
const char stre53[] PROGMEM = "Inverted";
const char stre54[] PROGMEM = "DCF77 input";
const char stre55[] PROGMEM = "Pull-up off";
const char stre56[] PROGMEM = "Pull-up on";
const char stre57[] PROGMEM = "Off";
const char stre58[] PROGMEM = "On";
const char stre59[] PROGMEM = "Alarm sound";
const char stre60[] PROGMEM = "Buzzer (3 short beeps)";
const char stre61[] PROGMEM = "Buzzer (4 short beeps)";
const char stre62[] PROGMEM = "Buzzer (2 long beeps)";
const char stre63[] PROGMEM = "Gong";
const char stre64[] PROGMEM = "Close Encounters";
const char stre65[] PROGMEM = "Westminster";
const char stre66[] PROGMEM = "Axel F.";
const char stre67[] PROGMEM = "Blue Peter";
const char stre68[] PROGMEM = "Around The World";
const char stre69[] PROGMEM = "For Elise";
const char stre70[] PROGMEM = "Volume";
const char stre71[] PROGMEM = "Test alarm sound";
const char stre72[] PROGMEM = "LCD alarm clock: ";
const char stre73[] PROGMEM = "DCF77 status: ";
const char stre74[] PROGMEM = "No valid time available";
const char stre75[] PROGMEM = "Time has been set manually";
const char stre76[] PROGMEM = "Synchronization required";
const char stre77[] PROGMEM = "Synchronization ok";
const char stre78[] PROGMEM = "Stop";
const char stre79[] PROGMEM = "Last sync.: ";
const char stre80[] PROGMEM = "CET, ";
const char stre81[] PROGMEM = "CEST, ";
const char stre82[] PROGMEM = "No data";
const char stre83[] PROGMEM = "Touchscreen calibration data:";
const char stre84[] PROGMEM = "Left: ";
const char stre85[] PROGMEM = ", Right: ";
const char stre86[] PROGMEM = ", Top: ";
const char stre87[] PROGMEM = ", Bottom: ";
const char stre88[] PROGMEM = "Touchscreen X: ";
const char stre89[] PROGMEM = ", Y: ";
const char stre90[] PROGMEM = "Brightness sensor: ";
const char stre91[] PROGMEM = "Backlight PWM value: ";
const char stre92[] PROGMEM = "days";
const char stre93[] PROGMEM = ":";
const char stre94[] PROGMEM = "...2";
const char stre95[] PROGMEM = "This menu is only available,";
const char stre96[] PROGMEM = "if a valid time has been set.";
const char stre97[] PROGMEM = "Set alarm time";
const char stre98[] PROGMEM = "Snooze time (min)";
const char stre99[] PROGMEM = "Clear alarm time";
const char stre100[] PROGMEM = "Set the number of days";
const char stre101[] PROGMEM = "Number of days";
const char stre102[] PROGMEM = "No function";
const char stre103[] PROGMEM = "Snooze";
const char stre104[] PROGMEM = "Alarm off";
const char stre105[] PROGMEM = "Alarm sound off";
const char stre106[] PROGMEM = "Alarm sound on";
const char stre107[] PROGMEM = "Today";
const char stre108[] PROGMEM = "Tomorrow";
const char stre109[] PROGMEM = "Normal";
const char stre110[] PROGMEM = {'"', 'T', 'o', 'd', 'a', 'y', '"', '\0'};
const char stre111[] PROGMEM = "Cancel";
const char stre112[] PROGMEM = "Alarm time and programms";

// Pointerlisten Deutsch/Englisch erstellen

PGM_P const strd[] PROGMEM =
{
  strd00, strd01, strd02, strd03, strd04, strd05, strd06, strd07, strd08, strd09,
  strd10, strd11, strd12, strd13, strd14, strd15, strd16, strd17, strd18, strd19,
  strd20, strd21, strd22, strd23, strd24, strd25, strd26, strd27, strd28, strd29,
  strd30, strd31, strd32, strd33, strd34, strd35, strd36, strd37, strd38, strd39,
  strd40, strd41, strd42, strd43, strd44, strd45, strd46, strd47, strd48, strd49,
  strd50, strd51, strd52, strd53, strd54, strd55, strd56, strd57, strd58, strd59,
  strd60, strd61, strd62, strd63, strd64, strd65, strd66, strd67, strd68, strd69,
  strd70, strd71, strd72, strd73, strd74, strd75, strd76, strd77, strd78, strd79,
  strd80, strd81, strd82, strd83, strd84, strd85, strd86, strd87, strd88, strd89,
  strd90, strd91, strd92, strd93, strd94, strd95, strd96, strd97, strd98, strd99,
  strd100, strd101, strd102, strd103, strd104, strd105, strd106, strd107, strd108,
  strd109, strd110, strd111, strd112
};

PGM_P const stre[] PROGMEM =
{
  strd00, stre01, stre02, stre03, stre04, stre05, stre06, stre07, stre08, stre09,
  stre10, stre11, stre12, stre13, stre14, stre15, stre16, stre17, stre18, stre19,
  stre20, stre21, stre22, stre23, stre24, stre25, stre26, stre27, stre28, stre29,
  stre30, stre31, stre32, stre33, stre34, stre35, stre36, stre37, stre38, stre39,
  stre40, stre41, stre42, stre43, stre44, stre45, stre46, stre47, stre48, stre49,
  stre50, stre51, stre52, stre53, stre54, stre55, stre56, stre57, stre58, stre59,
  stre60, stre61, stre62, stre63, stre64, stre65, stre66, stre67, stre68, stre69,
  stre70, stre71, stre72, stre73, stre74, stre75, stre76, stre77, stre78, stre79,
  stre80, stre81, stre82, stre83, stre84, stre85, stre86, stre87, stre88, stre89,
  stre90, stre91, stre92, stre93, stre94, stre95, stre96, stre97, stre98, stre99,
  stre100, stre101, stre102, stre103, stre104, stre105, stre106, stre107, stre108,
  stre109, stre110, stre111, stre112
};

#endif /* STRINGS_H_ */
